%define upstream_name    CPAN-FindDependencies
%define upstream_version 2.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Object representing a module dependency
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.50.0
BuildRequires: perl(Devel::CheckOS) >= 1.520.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::CoreList) >= 2.900.0
BuildRequires: perl(Parse::CPAN::Packages) >= 2.310.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(URI::file) >= 4.130.0
BuildRequires: perl(YAML::Tiny) >= 1.360.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/cpandeps
/usr/share/man/man1/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.440.0-3.mga6
+ Revision: 1024447
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.440.0-2.mga6
+ Revision: 968904
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 2.440.0-1.mga6
+ Revision: 856492
- update to 2.44

* Sat Jul 04 2015 sander85 <sander85> 2.430.0-1.mga6
+ Revision: 850166
- update to 2.43

* Wed Oct 15 2014 umeabot <umeabot> 2.420.0-4.mga5
+ Revision: 749845
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.420.0-3.mga5
+ Revision: 683672
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.420.0-2.mga4
+ Revision: 526320
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 2.420.0-1.mga4
+ Revision: 436615
- update to 2.42

* Sun Jan 13 2013 umeabot <umeabot> 2.410.0-2.mga3
+ Revision: 363607
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 2.410.0-1.mga3
+ Revision: 291600
- update to 2.41

* Tue Jun 05 2012 kharec <kharec> 2.400.0-1.mga3
+ Revision: 255051
- update to 2.4

* Tue Jan 25 2011 jquelin <jquelin> 2.340.0-1.mga1
+ Revision: 38254
- skipping test
- mageia rebuild
- imported package perl-CPAN-FindDependencies

